%define major 0
%define apiver 4.6
%define libname %mklibname xfsm-%{apiver}_%{major}
%define develname %mklibname xfsm -d

Summary:	Xfce Session Manager
Summary(de):	Xfce Sitzungsverwaltung
Name:	xfce4-session
Version:	4.12.1
Release:	%mkrel 5
License:	GPLv2+
Group:	Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
Source3:	xfce4.sh
Source4:	xfce4.pam
Source5:	xfce4-kdm-integration.sh
Patch0:		%{name}-logging.patch
#-----------------------------------------------------
BuildRequires:%{_lib}atk1.0-devel
BuildRequires:%{_lib}cairo-devel
BuildRequires:%{_lib}dbus-1-devel
BuildRequires:%{_lib}dbus-glib-1_2-devel
BuildRequires:%{_lib}exo-devel
BuildRequires:%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:%{_lib}glib2.0-devel
BuildRequires:%{_lib}gtk+2.0_0-devel
BuildRequires:%{_lib}ice-devel
BuildRequires:%{_lib}pango1.0-devel
BuildRequires:%{_lib}polkit1-devel
BuildRequires:%{_lib}sm-devel 
BuildRequires:%{_lib}upower-glib-devel
BuildRequires:%{_lib}wnck1-devel
BuildRequires:%{_lib}x11-devel 
BuildRequires:%{_lib}xfce4ui-devel 
BuildRequires:%{_lib}xfce4util-devel 
BuildRequires: perl-XML-Parser
BuildRequires: iceauth
BuildRequires: intltool
BuildRequires: xfconf-devel
BuildRequires: xfce4-dev-tools
#-----------------------------------------------------
Requires:	usermode-consoleonly
Requires:	polkit-gnome >= 0.102-3
#-----------------------------------------------------
Obsoletes:	xfce-session < 4.6.0
Obsoletes:	xfce-session-engines
Obsoletes:	%mklibname xfsm-%{apiver}0
Obsoletes:	%{mklibname xfsm-4.2 0}
Obsoletes:	xfce4-session < %{version}-%{release}
Obsoletes:	%name < %version
Obsoletes:	xfce-utils <= 4.8.3
Conflicts:	xfce-utils <= 4.8.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The session manager allows the user to save sessions and
restore them after login. It is capable of saving several
different sessions. It comes with three splash screen engines.
And at last it helps you to log out, reboot, and shutdown the system.

#german
%description -l de
Die Sitzungsverwaltung ermöglicht es dem Benutzer, Sitzungen zu speichern und 
nach dem Login wieder herzustellen. Es ist möglich mehrere verschiedene 
Sitzungen zu retten. Es kommt mit drei Splash-Screen Engines. 
Und schließlich hilft es Ihnen, sich abzumelden, neu starten und das System heruntzuerfahren.

%package devel
Summary:	Libraries and header files for the Xfce Session Manager
Summary(de):	Bibliotheken und Header-Dateien für die Xfce Sitzungsverwaltung
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Provides:	libxfsm-devel = %{version}-%{release}
Obsoletes:	%mklibname xfsm-%{apiver}_0 -d

%description devel
Libraries and header files for the Xfce Session Manager.

#german
%description -l de
Bibliotheken und Header-Dateien für die Xfce Sitzungsverwaltung

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q
%apply_patches

%build

./autogen.sh --prefix=/usr --libdir=%{_libdir} --sysconfdir=%{_sysconfdir}/X11 \
	--enable-legacy-sm \
	--disable-static \
	--disable-systemd

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# drop this
rm -f %{buildroot}%{_datadir}/xsessions/xfce.desktop

# wmsession session file
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/06Xfce
NAME=xfce4
ICON=xfce4-logo
DESC=XFce4 Desktop Environment
EXEC=/usr/bin/startxfce4
SCRIPT:
exec /usr/bin/startxfce4
EOF

# integration script for kdm
install -m 755 %{SOURCE5} %{buildroot}%{_bindir}

# env
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/profile.d

# pam
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/pam.d/xfce4

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
xfce4-kdm-integration.sh
%make_session

%postun
rm -f %{_datadir}/apps/kdm/sessions/06Xfce.desktop
%make_session

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_datadir}/themes
%dir %{_datadir}/themes/Default
%{_bindir}/*
%{_datadir}/applications/xfce*
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/*
%dir %{_datadir}/themes/Default/balou
%{_datadir}/themes/Default/balou/logo.png
%{_datadir}/themes/Default/balou/themerc
%{_sysconfdir}/X11/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
%{_sysconfdir}/X11/xdg/xfce4/Xft.xrdb
%{_sysconfdir}/X11/xdg/xfce4/xinitrc
%{_sysconfdir}/X11/xdg/autostart/xscreensaver.desktop
%{_libdir}/libxfsm-%{apiver}.so.%{major}
%{_libdir}/libxfsm-%{apiver}.so.%{major}.*
%{_libdir}/xfce4/session/*
%{_sysconfdir}/X11/wmsession.d/06Xfce
%{_sysconfdir}/pam.d/xfce4
%{_sysconfdir}/profile.d/xfce4.sh

%{_datadir}/polkit-1/actions/org.xfce.session.policy

%files devel
%defattr(-,root,root)
%{_libdir}/libxfsm-%{apiver}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/xfce4-session-%{apiver}/libxfsm/xfsm-splash-*.h


%files doc
%defattr(-,root,root)
%doc AUTHORS BUGS NEWS README TODO
%doc doc/FAQ doc/README.Kiosk

%changelog
* Sat Jun 10 2017 threepio <threepio> 4.12.1-5uplos2017
- rebuild for uplos


* Tue Feb 23 2016 bb <bb> 4.12.1-5pclos2016
- require polkit-gnome with mod since xfce will use this
- to authenticate root requests for new drakxtools

* Mon May 11 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.1-4pclos2015
- add upstream patch which fixes the logging

* Wed Mar 18 2015 bb <bb> 4.12.1-3pclos2015
- clean up

* Wed Mar 18 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.1-2pclos2015
- create/remove dm session in post/postun

* Tue Mar 17 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.1-1pclos2015
- 4.12.1

* Mon Mar 02 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.0-1pclos2015
- 4.12.0

* Tue Feb 25 2014 ghostbunny <ghostbunny at gmx dot de> 4.11.0-1pclos2014
- 4.11.0
- change group of doc package to Documentation
- drop gnome deps

* Tue Jan 22 2013 ghostbunny <ghostbunny at gmx dot de> 4.10.0-4pclos2013
- added source5 and integrated it in post and postun
- added arch switch for libwnck

* Thu Oct 25 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-3pclos2012
- change Requires  %{_lib}stdc++  to  libstdc++

* Wed Oct 24 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-2pclos2012
- process

* Mon Oct 22 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-2pclos2012
- added xfce-utils to Obsoletes to get it out after an update to 4.10.0

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-1pclos2012
- 4.10.0
- added/fixed german summaries and descriptions
- fixed english summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")
- added move of session desktop file
- fixed files section

* Tue Jan 17 2012 Neal <nealbrks0 at gmail.com> 4.8.2-1pclos2012
- change build requires X11-devel to %{_lib}x11-devel

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 4.8.2-1pclos2012
- update

* Wed Jan 26 2011 Sproggy <desproggster at gmail.com> 4.8.0-1pclos2011
- update for xfce4.8

* Mon Nov 08 2010 Sproggy <desproggster at gmail.com> 4.7.1-2pclos2010
- 4.7.1 update for xfce4.8pre1

* Sun May 23 2010 Texstar <texstar at gmail.com> 4.6.2-1pclos2010
- 4.6.2
